All Data Structures Functions Variables Typedefs Enumerations Enumerator Groups Pages
Cubrt
Arithmetic Operations

Cube root of each sample of a signal. More...

## Functions

NppStatus | nppsCubrt_32f_Ctx (const Npp32f *pSrc, Npp32f *pDst, int nLength, NppStreamContext nppStreamCtx)
| 32-bit floating point signal cube root. More...
NppStatus | nppsCubrt_32f (const Npp32f *pSrc, Npp32f *pDst, int nLength)
NppStatus | nppsCubrt_32s16s_Sfs_Ctx (const Npp32s *pSrc, Npp16s *pDst, int nLength, int nScaleFactor, NppStreamContext nppStreamCtx)
| 32-bit signed integer signal cube root, scale, then clamp to 16-bit signed integer saturated value. More...
NppStatus | nppsCubrt_32s16s_Sfs (const Npp32s *pSrc, Npp16s *pDst, int nLength, int nScaleFactor)

## Detailed Description

Cube root of each sample of a signal.

## Function Documentation

NppStatus nppsCubrt_32f | ( | const Npp32f * | pSrc,
|  | Npp32f * | pDst,
|  | int | nLength
| ) |  |

NppStatus nppsCubrt_32f_Ctx | ( | const Npp32f * | pSrc,
|  | Npp32f * | pDst,
|  | int | nLength,
|  | NppStreamContext | nppStreamCtx
| ) |  |

32-bit floating point signal cube root.

Parameters

  pSrc | Source Signal Pointer.
  pDst | Destination Signal Pointer.
  nLength | Signal Length.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsCubrt_32s16s_Sfs | ( | const Npp32s * | pSrc,
|  | Npp16s * | pDst,
|  | int | nLength,
|  | int | nScaleFactor
| ) |  |

NppStatus nppsCubrt_32s16s_Sfs_Ctx | ( | const Npp32s * | pSrc,
|  | Npp16s * | pDst,
|  | int | nLength,
|  | int | nScaleFactor,
|  | NppStreamContext | nppStreamCtx
| ) |  |

32-bit signed integer signal cube root, scale, then clamp to 16-bit signed integer saturated value.

Parameters

  pSrc | Source Signal Pointer.
  pDst | Destination Signal Pointer.
  nLength | Signal Length.
  nScaleFactor | Integer Result Scaling.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

Copyright © 2009-2020 NVIDIA Corporation